<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<!--桌贴 -->
<style>
    .edge .layui-edge {
        right: 10px;
    }

    .layui-form-checkbox[lay-skin=primary] i {
        border-radius: 50px;
        width: 18px;
        height: 18px;
        line-height: 18px;
        margin-top: 3px;
    }

    .layui-form-checkbox[lay-skin=primary] span {
        color: black;
        margin-top: 3px;
        font-size: 14px;
    }
</style>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">桌贴</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="22">
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <div class="layui-input-block">
                    <input type="radio" name="kindValue" class="kindValue" value="0" title="0.38磨砂背胶"
                           lay-filter="kindValue" checked="checked">
                    <input type="radio" name="kindValue" class="kindValue" value="10" title="0.38亮光"
                           lay-filter="kindValue">
                    <input type="radio" name="kindValue" class="kindValue" value="1" title="0.84磨砂背胶"
                           lay-filter="kindValue" class="thanHide">
                    <!-- <input type="radio" name="kindValue" class="kindValue" value="2" title="0.38PVC亮光异型卡片" lay-filter="kindValue"> -->
                </div>
            </div>
            <p>
                尺寸(CM/厘米) <span style="font-size:14px;color:red">输入格式: 长 * 宽</span>
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="格式:长*宽" name="size" id="size" class="layui-input" autocomplete="off">
            </div>
            <!-- <div class="other"> -->
            <p>
                数量（张）
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="count" id="count" class="layui-input">
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <div class="layui-form-item" id="ui_des" style="display:none;">
                <p>
                    设计内容
                </p>
                <select name="desType" lay-filter="desType" id="desType" class="select" lay-search>
                    <option value=""></option>
                    <option value="1">改序号</option>
                    <option value="2">改名字</option>
                    <option value="3">改二维码</option>
                    <option value="4">改图片</option>
                    <option value="5">改内容模板相同</option>
                    <option value="6" selected>改内容模板完全不同</option>
                </select>
            </div>
            <p>工艺</p>
            <input type="radio" class="craftKkind" name="craftJiao" value="圆角矩形" title="圆角矩形" checked="checked">
            <span id="craftKkind">
						<input type="radio" name="craftJiao" value="直角矩形" title="直角矩形">
						<input type="radio" name="craftJiao" value="异形" title="异形">
					</span>
            <div><!--  class="kindValue2" -->
                <input type="radio" name="craftShua" value="单面" title="单面" checked="checked">
                <input type="radio" name="craftShua" value="双面" title="双面">
                <!-- <input type="checkbox" name="craft" value="背胶" title="背胶"> -->
            </div>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                <div class="layui-inline crop" style="display:none;width: 80px">
                    <input class="layui-input" type="text" name="cropNumber">
                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<script src="../../js/carousel.js" charset="utf-8"></script>
<%@include file="/views/copyResult.jsp" %>
<script>
    setNumberOptions();

    function setNumberOptions() {
        let html = '';
        if (window.parent.system_isPdd) {
            html = `<option value=""></option>
                <option value="1">改序号</option>
                <option value="2">改名字</option>
                <option value="3">改二维码</option>
                <option value="4">改图片</option>
                <option value="5">改内容模板相同</option>
                <option value="6" selected>改内容模板完全不同</option>`;
        } else {
            html = `<option value=""></option>
                <option value="1">改序号</option>
                <option value="6" selected>改内容模板完全不同</option>`;
        }
        $("#desType").empty().append(html);
    }

    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;
        //建造实例
        ins = carousel.render({});
        // 监听count输入框
        $(function () {
            //输入框的值改变时触发
            $("#count").on("input", function (e) {
                //获取input输入的值
                if (e.delegateTarget.value > 100 && $('input[name="kindValue"]:checked').val() == "1") {
                    layer.msg('超过100张请选择0.38磨砂背胶!', {offset: ['300px', '300px']}, function () {
                    });
                }
            });
            //输入框的值改变时触发
            $("#size").on("input", function (e) {
                //获取input输入的值
                if ($('input[name="kindValue"]:checked').val() == "2") {
                    if (e.delegateTarget.value.indexOf(".") != -1) {
                        layer.msg('0.38PVC亮光异型卡片请输入整数尺寸!', {offset: ['300px', '300px']}, function () {
                        });
                    }
                }
            });

            // 默认隐藏0.38PVC异形卡工艺
            $(".kindValue2").hide();
            $(".kindValue2").find(":input").attr("disabled", true);
            document.getElementById("craftKkind").style.display = "none";   //隐藏
            form.on('radio(kindValue)', function (data) {
                if ($("#count").val() > 100 && data.value == "1") {
                    layer.msg('超过100张请选择0.38磨砂背胶!', {offset: ['300px', '300px']}, function () {
                    });
                } else if ($("#size").val().indexOf(".") != -1 && data.value == "2") {
                    layer.msg('0.38PVC亮光异型卡片请输入整数尺寸!', {offset: ['300px', '300px']}, function () {
                    });
                }

                if (data.value == "2") {
                    $(".kindValue2").show();
                    $(".other").hide();
                    $(".other").find(":input").attr("disabled", true);
                    $(".kindValue2").find(":input").attr("disabled", false);
                    document.getElementById("craftKkind").style.display = "inline-block";   //显示
                } else {
                    $(".other").show();
                    $(".kindValue2").hide();
                    $(".kindValue2").find(":input").attr("disabled", true);
                    $(".other").find(":input").attr("disabled", false);
                    document.getElementById("craftKkind").style.display = "none";   //隐藏
                }
                // 切换的时候，选中【圆角矩形】
                $('input[class = craftKkind]').prop('checked', true);
                form.render('radio');
            })
        });
        $("#number").on("input", function (e) {
            var number = e.delegateTarget.value;
            if (number > 1) {
                $("#ui_des").show();
            } else {
                $("#ui_des").hide();
            }
        });

        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            let kindValue = $('input[name="kindValue"]:checked').val();
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                if (!$(this).is(':disabled')) {
                    craft_list.push($(this).val());
                }
            });

            if (data.value == '抠图') {
                $(".crop").hide();
                $(".crop").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".crop").show();
                    $(".crop").find("input").prop("disabled", false)
                }
            }
            form.render();
        })

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var kindData = {
                0: "0.38磨砂背胶",
                10: "0.38亮光",
                1: "0.84磨砂背胶",
                2: "0.38PVC亮光异型卡片"
            };
            /* var craft = $('input[name="craft"]:checked').val() */
            var craftShua = $('input[name="craftShua"]:checked').val()
            var craftJiao = [$('input[name="craftJiao"]:checked').val()]
            var kind = kindData[$('input[name="kindValue"]:checked').val()];
            var number = $("#number").val();
            var size = $("#size").val();
            var count = $("#count").val();
            var length = size.split("*")[0];
            var width = size.split("*")[1];
            if (!size) {
                layer.msg('请填写尺寸！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            } else {
                if ((length > 43.5 || width > 43.5 && length > 30.1 || width > 30.1)) {
                    layer.msg("尺寸不能大于43.5*30.1 cm", {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
            }
            if (kind == '0.84磨砂背胶' && count > 100) {
                layer.msg('超过 100 张请选择0.38磨砂背胶!', {offset: ['300px', '300px']}, function () {
                });
                return false;
            } else if (kind == '0.38PVC亮光异型卡片') {
                if (size.split("*")[0] < 3 || size.split("*")[1] < 3) {
                    layer.msg("【0.38PVC亮光异型卡片】尺寸不能小于3*3 cm", {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
                if (size.indexOf(".") != -1) {
                    layer.msg('【0.38PVC亮光异型卡片】请输入整数尺寸!', {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
            }
            if ((size.split("*")[0] > 40 || size.split("*")[1] > 45) && (size.split("*")[0] > 45 || size.split("*")[1] > 40)) {
                layer.msg("【桌贴】尺寸不能超过43.5*38.5 cm", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;
                    let arr = [];
                    $("input[name='craft']:checked").each(function () {
                        if (!$(this).is("disabled")) {
                            if ($(this).val() == "抠图") {
                                arr.push($(this).val() + $("input[name='cropNumber']").val());
                                return;
                            }
                        }
                    })
                    arr.push(craftShua)
                    arr.push(craftJiao)
                    var span_result = '桌贴 - ' + kind + ' - ' + size + ' CM' + '\n';
                    if (arr.length > 0) {
                        span_result += "工艺：" + arr.join(",") + '\n';
                    }
                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "张，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "张，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }
                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                    if (window.parent.system_isGai) {
                        span_result += "\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                    }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    craftShua += craftJiao;
                    getRemark("桌贴", size, count + "张", kind, number, craftShua, "");
                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>